compile failure on 2.6.19
- From: Robin Cook <rcook@xxxxxxxxx>
- Date: Sun, 31 Dec 2006 11:25:32 -0600
I am getting this error when I try to compile 2.6.19 and 2.6.19.1.
I ran make mrproper and make menuconfig then ran make and got the below
error.
HOSTLD scripts/kconfig/conf
scripts/kconfig/conf -s arch/i386/Kconfig
CHK include/linux/version.h
UPD include/linux/version.h
/bin/sh: -c: line 0: syntax error near unexpected token `('
/bin/sh: -c: line 0: `set -e; echo ' CHK
include/linux/utsrelease.h'; mkdir -p include/linux/; if [ `echo -n
"2.6.19.1 .file null .ident
GCC:(GNU)4.1.1 .section .note.GNU-stack,,@progbits" | wc -c ` -gt 64 ];
then echo '"2.6.19.1 .file null .ident
GCC:(GNU)4.1.1 .section .note.GNU-stack,,@progbits" exceeds 64
characters' >&2; exit 1; fi; (echo \#define UTS_RELEASE \"2.6.19.1 .file
null .ident GCC:(GNU)4.1.1 .section .note.GNU-stack,,@progbits\";) <
include/config/kernel.release > include/linux/utsrelease.h.tmp; if [ -r
include/linux/utsrelease.h ] && cmp -s include/linux/utsrelease.h
include/linux/utsrelease.h.tmp; then rm -f
include/linux/utsrelease.h.tmp; else echo ' UPD
include/linux/utsrelease.h'; mv -f include/linux/utsrelease.h.tmp
include/linux/utsrelease.h; fi'
make: *** [include/linux/utsrelease.h] Error 2
Attachment:
signature.asc
Description: This is a digitally signed message part
- Follow-Ups:
- Re: compile failure on 2.6.19
- From: David Brown
- Re: compile failure on 2.6.19
- Prev by Date: Re: [KVM][PATCH] smp_processor_id() and sleeping functions used in invalid context
- Next by Date: Re: [KVM][PATCH] smp_processor_id() and sleeping functions used in invalid context
- Previous by thread: Using _syscall3 to manipulate files in a driver
- Next by thread: Re: compile failure on 2.6.19
- Index(es):
Relevant Pages
- Re: compile failure on 2.6.19
... UPD include/linux/version.h ... then echo '"2.6.19.1 .file null .ident
... include/linux/utsrelease.h.tmp; else echo ' UPD ... das eine Mal als
Tragödie, ... (Linux-Kernel) - Re: [2.6.16rc2] compile error
... Alexander Fieroch writes: ... .file null .ident GCC:4.0.320060128 ...
include/linux/version.h.tmp; else echo ' UPD ... (Linux-Kernel) - Re: compile failure on 2.6.19
... CHK include/linux/version.h ... UPD include/linux/version.h ...
then echo '"2.6.19.1 .file null .ident ... include/linux/utsrelease.h.tmp; else echo
' UPD ... (Linux-Kernel) - 2.6.16-rc1-git1 -- Build error "make: *** [include/linux/version.h] Error 2"
... '"2.6.16-rc1-git1 .file null .ident ... include/linux/version.h.tmp; else echo
' UPD ... More majordomo info at http://vger.kernel.org/majordomo-info.html ...
(Linux-Kernel) - Re: "Modular site" mod writers name vars or use ident supplied by app
... names, in my plugin registration function, I do allow plugin authors to ...
I think I will go with supplying an ident to each module as it registers, using the code from
uniqid example: ... You chose the registered name <?php echo ... (comp.lang.php)